%define _buildid .7

%global py26nvr python26-colorama-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-colorama-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name colorama

Name: python-colorama
Version: 0.2.5
Release: 1%{?_buildid}%{?dist}
Summary: Cross-platform colored terminal text
Group: System Environment/Libraries
License: BSD
URL: http://pypi.python.org/pypi/colorama/0.2.4
Source0: http://pypi.python.org/packages/source/c/%{upstream_name}/%{upstream_name}-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
Makes ANSI escape character sequences, for producing colored
terminal text and cursor positioning, work under MS Windows.

ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on
Windows, too.
It also provides some shortcuts to help generate ANSI sequences, and works fine
in conjunction with any other ANSI sequence generation library, such as
Termcolor.

%package -n python26-colorama
Summary: Cross-platform colored terminal text
BuildRequires: python26-devel
Provides: python-colorama = %{version}-%{release}
Obsoletes: python-colorama <= 0.2.5-1.4.amzn1

%description -n python26-colorama
Makes ANSI escape character sequences, for producing colored
terminal text and cursor positioning, work under MS Windows.

ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on
Windows, too.
It also provides some shortcuts to help generate ANSI sequences, and works fine
in conjunction with any other ANSI sequence generation library, such as
Termcolor.

This package is meant to be used with Python 2.6.

%package -n python27-colorama
Summary: Cross-platform colored terminal text
BuildRequires: python27-devel

%description -n python27-colorama
Makes ANSI escape character sequences, for producing colored
terminal text and cursor positioning, work under MS Windows.

ANSI escape character sequences have long been used to produce colored terminal
text and cursor positioning on Unix and Macs. Colorama makes this work on
Windows, too.
It also provides some shortcuts to help generate ANSI sequences, and works fine
in conjunction with any other ANSI sequence generation library, such as
Termcolor.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}

# fix wrong-file-end-of-line-encoding
sed -i 's/\r//' LICENSE.txt
sed -i 's/\r//' README.txt

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-colorama
%doc README.txt LICENSE.txt
%{python26_sitelib}/*

%files -n python27-colorama
%doc README.txt LICENSE.txt
%{python27_sitelib}/*

%changelog
* Wed Feb 4 2015 Jason Green <jasg@amazon.com>
- Build for multiple pythons

* Mon Sep 9 2013 Lee Trager <ltrager@amazon.com>
- import source package F19/python-colorama-0.2.5-1.fc19

* Fri Mar 22 2013 Matthias Runge <mrunge@redhat.com> - 0.2.5-1
- update to 0.2.5 (rhbz#913431)

* Sun Mar 17 2013 Lee Trager <ltrager@amazon.com>
- setup complete for package python-colorama

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep 11 2012 Matthias Runge <mrunge@redhat.com> - 0.2.4-1
- Initial package.
